coverages:
  - name: arome-wind-uv
    projection: 3857
    bbox: >
      POLYGON((
      -3683561 3609767,
      -134255 3609767,
      -134255 5559971,
      -3683561 5559971,
      -3683561 3609767
      ))
    storage_type: filesystem
    storage_configuration:
      root_data_dir: /home/likeno/data/output/innometeo_arome
    dimensions:
      - name: reference_time
        dimension_type: temporal
        extent: 2019-01-01/2030-01-01
        default: "2019-11-18T12:00:00"
      - name: time
        dimension_type: temporal
        extent: 2019-01-01/2030-01-01
        default: "2019-11-18T13:00:00"
      - name: pressure_level
        dimension_type: categorical
        extent: SURFACE. 300hPa, 500hPa, 700hPa, 800hPa, 850hPa, 900hPa, 925hPa, 950hPa
        default: SURFACE
    response_handlers:
      - 0


styles:
  - name: arome-wind-barbs-style
    style_type: mapserver_style
    raw_value: |
      CLASS
        EXPRESSION ([uv_length] >= 0 and [uv_length] <= 1.85)
        STYLE
          SYMBOL "barbs-0"
          SIZE 30
          COLOR 0 0 0
        END
      END
      CLASS
        EXPRESSION ([uv_length] > 1.85 and [uv_length] < 7.38)
        STYLE
          SYMBOL "barbs-1"
          SIZE 30
          COLOR 0 0 0
        END
      END
      CLASS
        EXPRESSION ([uv_length] >= 2.05 and [uv_length] < 3.6)
        STYLE
          SYMBOL "barbs-2"
          SIZE 30
          COLOR 0 0 0
          ANGLE [uv_angle]
        END
      END
      CLASS
        EXPRESSION ([uv_length] >= 3.6 and [uv_length] < 5.659)
        STYLE
          SYMBOL "barbs-3"
          SIZE 30
          COLOR 0 0 0
          ANGLE [uv_angle]
        END
      END
      CLASS
        EXPRESSION ([uv_length] >= 5.659 and [uv_length] < 8.746)
        STYLE
          SYMBOL "barbs-4"
          SIZE 30
          COLOR 0 0 0
          ANGLE [uv_angle]
        END
      END
      CLASS
        EXPRESSION ([uv_length] >= 8.746 and [uv_length] < 11.318)
        STYLE
          SYMBOL "barbs-5"
          SIZE 30
          COLOR 0 0 0
          ANGLE [uv_angle]
        END
      END
      CLASS
        EXPRESSION ([uv_length] >= 11.318 and [uv_length] < 14.40)
        STYLE
          SYMBOL "barbs-6"
          SIZE 30
          COLOR 0 0 0
          ANGLE [uv_angle]
        END
      END
      CLASS
        EXPRESSION ([uv_length] >= 14.40 and [uv_length] < 17.49)
        STYLE
          SYMBOL "barbs-7"
          SIZE 30
          COLOR 0 0 0
          ANGLE [uv_angle]
        END
      END
      CLASS
        EXPRESSION ([uv_length] >= 17.49 and [uv_length] < 20.578)
        STYLE
          SYMBOL "barbs-8"
          SIZE 30
          COLOR 0 0 0
          ANGLE [uv_angle]
        END
      END
      CLASS
        EXPRESSION ([uv_length] >= 20.578 and [uv_length] < 24.69)
        STYLE
          SYMBOL "barbs-9"
          SIZE 30
          COLOR 0 0 0
          ANGLE [uv_angle]
        END
      END
      CLASS
        EXPRESSION ([uv_length] >= 24.69 and [uv_length] < 28.809)
        STYLE
          SYMBOL "barbs-10"
          SIZE 30
          COLOR 0 0 0
          ANGLE [uv_angle]
        END
      END
      CLASS
        EXPRESSION ([uv_length] >= 28.809 and [uv_length] < 32.92)
        STYLE
          SYMBOL "barbs-11"
          SIZE 30
          COLOR 0 0 0
          ANGLE [uv_angle]
        END
      END
      CLASS
        EXPRESSION ([uv_length] > 32.92)
        STYLE
          SYMBOL "barbs-12"
          SIZE 30
          COLOR 0 0 0
          ANGLE [uv_angle]
        END
      END


workspaces:
  - name: nwp-arome
    layers:
      - coverage: 0
        style: 0
        name: nwp-arome-wind-barbs
        layer_type: vector_field
